## org.codehaus.groovy.grails.cli.support
Class CommandLineResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.codehaus.groovy.grails.cli.support.CommandLineResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class CommandLineResourceLoader

extends DefaultResourceLoader

Resource loader that loads locations starting with /WEB-INF from the Grails web-app directory

Since:
  1.0

  Created: Sep 25, 2007 Time: 8:37:07 PM
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`CommandLineResourceLoader()`

Method Summary
`Resource` `getResource(String location)`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, getResourceByPath, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineResourceLoader

    public CommandLineResourceLoader()

Method Detail

### getResource

    public Resource getResource(String location)

  Specified by:
    `getResource` in interface `ResourceLoader`
  Overrides:
    `getResource` in class `DefaultResourceLoader`

Copyright (c) 2005-2006 The Grails project